import PQueue from 'p-queue';
import type { BuildPipeline } from '../../core/build/buildPipeline.js';
import type { ImageTransform } from '../types.js';
export declare function prepareAssetsGeneration(pipeline: BuildPipeline): Promise<{
    logger: import("../../core/logger/core.js").Logger;
    useCache: boolean;
    assetsCacheDir: URL;
    serverRoot: URL;
    clientRoot: URL;
    imageConfig: {
        endpoint?: string | undefined;
        service: {
            entrypoint: string;
            config: Record<string, any>;
        };
        domains: string[];
        remotePatterns: {
            port?: string | undefined;
            protocol?: string | undefined;
            hostname?: string | undefined;
            pathname?: string | undefined;
        }[];
    };
    assetsFolder: string;
}>;
export declare function generateImagesForPath(originalFilePath: string, transforms: Map<string, {
    finalPath: string;
    transform: ImageTransform;
}>, env: Awaited<ReturnType<typeof prepareAssetsGeneration>>, queue: PQueue): Promise<void>;
export declare function getStaticImageList(): NonNullable<typeof globalThis.astroAsset.staticImages>;
